<template>

</template>


<script>
    Vue.mixin({
        data(){
            return{
                global_name_type_product:null,
                global_brand_list:null,
                global_unit_list:null,
                global_role_user:null,
            }
        },
        methods: {
            globalAddToken(){
                let token = $('#token').val();
                this.global_role_user = $('#role').val();
                axios.defaults.headers.common['Authorization'] = `Bearer ${token}`;

                $.ajaxSetup({
                    headers: { 'Authorization': `Bearer ${token}` }
                });
            },
            globalCheckTypeProduct(params){
                axios.get('/api/typeproduct/'+params).then(response =>{
                    this.global_name_type_product = response.data.name_th;
                }).catch(err =>{
                    this.global_name_type_product =  "error";
                    console.log(err);
                })
            },
            globalGetBrand(){
                axios.get('/api/brandproduct',{
                }).then(response =>{
                    // console.log(response.data);
                    this.global_brand_list = response.data;
                }).catch(err =>{
                    console.log(err);
                })
            },
            globalGetUnit(){

                axios.get('/api/unit',{
                }).then(response =>{
                    // console.log(response.data);
                    this.global_unit_list = response.data;
                }).catch(err =>{
                    console.log(err);
                })
            },

        },
    })

</script>
